Opened 3 months ago

Closed 3 months ago

#5031 closed enhancement (fixed)

tzdata-2022a

Reported by: Bruce Dubbs Owned by: Xi Ruoyao
Priority: normal Milestone: 11.2
Component: Book Version: git
Severity: normal Keywords:
Cc:

Description

New version.

Change History (3)

comment:1 by Xi Ruoyao, 3 months ago

Owner: changed from lfs-book to Xi Ruoyao
Status: newassigned

comment:2 by Xi Ruoyao, 3 months ago

It seems no timezones where a LFS editor residents are affected :).

Release 2022a - 2022-03-15 23:02:01 -0700

Briefly:

Palestine will spring forward on 2022-03-27, not -03-26. zdump -v now outputs better failure indications. Bug fixes for code that reads corrupted TZif data.

Changes to future timestamps

Palestine will spring forward on 2022-03-27, not 2022-03-26. (Thanks to Heba Hamad.) Predict future transitions for first Sunday >= March 25. Additionally, predict fallbacks to be the first Friday on or after October 23, not October's last Friday, to be more consistent with recent practice. The first differing fallback prediction is on 2025-10-24, not 2025-10-31.

Changes to past timestamps

From 1992 through spring 1996, Ukraine's DST transitions were at 02:00 standard time, not at 01:00 UTC. (Thanks to Alois Treindl.)

Chile's Santiago Mean Time and its LMT precursor have been adjusted eastward by 1 second to align with past and present law.

Changes to commentary

Add several references for Chile's 1946/1947 transitions, some of which only affected portions of the country.

Changes to code

Fix bug when mktime gets confused by truncated TZif files with unspecified local time. (Problem reported by Almaz Mingaleev.)

Fix bug when 32-bit time_t code reads malformed 64-bit TZif data. (Problem reported by Christos Zoulas.)

When reading a version 2 or later TZif file, the TZif reader now validates the version 1 header and data block only enough to skip over them, as recommended by RFC 8536 section 4. Also, the TZif reader no longer mistakenly attempts to parse a version 1 TZIf file header as a TZ string.

zdump -v now outputs "(localtime failed)" and "(gmtime failed)" when local time and UT cannot be determined for a timestamp.

Changes to build procedure

Distribution tarballs now use standard POSIX.1-1988 ustar format instead of GNU format. Although the formats are almost identical for these tarballs, ustar headers' magic fields contain "ustar" instead of "ustar ", and their version fields contain "00" instead of " ". The two formats are planned to diverge more significantly for tzdb releases after 2242-03-16 12:56:31 UTC, when the ustar format becomes obsolete and the tarballs switch to pax format, an extension of ustar. For details about these formats, please see "pax - portable archive interchange", IEEE Std 1003.1-2017, <https://pubs.opengroup.org/onlinepubs/9699919799/utilities/pax.html#tag_20_92_13>.

comment:3 by Xi Ruoyao, 3 months ago

Resolution: fixed
Status: assignedclosed

Fixed at 0a28db3.

Note: See TracTickets for help on using tickets.